Bug 202926 - diskdump freeze on Opteron dual core with Athlon SMP kernel
diskdump freeze on Opteron dual core with Athlon SMP kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 06:20 EDT by masanari iida
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 09:53:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description masanari iida 2006-08-17 06:20:45 EDT
Description of problem:
diskdump freeze on Opteron dual core with Athlon SMP kernel. 

Version-Release number of selected component (if applicable):
RHEL3 Update 6 (2.4.21-37). 7 (2.4.21-40) and 8 (2.4.21-47)
Arch  Athlon SMP kernel
H/W   HP DL385 (Opteron 280 dual core x 2)
Scsi card: SmartArray 6i
diskdumputils 1.1.9-3, diskdumputils-1.2.8-1, diskdumputils-1.3.3

How reproducible:
Diskdump fail 8-9 times in 10 diskdump test.

Steps to Reproduce:
1. Install OS
2. Setup diskdump
3. ALT+SysRQ+C from keyboard  or  echo c > /proc/sysrq-trigger
  
Actual results:
diskdump failed to dump 8-9 times in 10 test.
Display only 3 lines, then system freeze until power cycle.

# echo c > /proc/sysrq-trigger
SysRq: Crashing the kernel by request
Unable to handle kernel NULL pointer dereference at virtual address 00000000 
printing eip: c01c8cd0 *pde=46805067

Expected results:
Diskdump dump memory image correctly, all the time.

Additional info:
(1) Same DL385 with i686smp, i686hugemem, athlon-uni-processor dump memory
image correctly.
(2) Same DL385 with Athlon SMP kernel,  boot with "notsc" solve this problem.
(3) Same DL385 with Athlon SMP kernel, load crash.o into kernel always panic
the system succesfully.  So this symptom only reproducable with 
sysrq_handle_crash.
(4) kernel(s) and diskdumputils U6 to U8 are tested. No successful result.
Comment 1 masanari iida 2006-08-17 06:31:31 EDT
purpose of this Bugzilla are,
(1) Report a bug
(2) Ask for fix (if possible)
(3) Understand why "notsc" solve this problem.
Comment 2 masanari iida 2006-08-22 08:23:42 EDT
Hello again.
I have a bad news.

Add "notsc" didn't fix the problem.
I have done test with some different memory size configuration such as,
512m, 1000m, 2000m and 4000m.  With 512m, it works.
With 1000m, 2000m and 4000m, diskdump still failed intermittently
even if I add "notsc". 

Comment 3 Prarit Bhargava 2007-09-14 11:43:11 EDT
Masanari, is this still an issue?

P.
Comment 4 masanari iida 2007-09-17 22:27:45 EDT
Thanks for reply.
The box has migrated to x86 kernel.
So this is not an issue for me now.

Note You need to log in before you can comment on or make changes to this bug.